Mail archive
alpine-aports

[alpine-aports] [PATCH 08/15] testing/perl-data-uniqid: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sat, 12 Dec 2015 12:25:19 +0000

---
 testing/perl-data-uniqid/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/perl-data-uniqid/APKBUILD
diff --git a/testing/perl-data-uniqid/APKBUILD b/testing/perl-data-uniqid/APKBUILD
new file mode 100644
index 0000000..06240f6
--- /dev/null
+++ b/testing/perl-data-uniqid/APKBUILD
_at_@ -0,0 +1,34 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=perl-data-uniqid
+pkgver=0.12
+_realname=Data-Uniqid-$pkgver
+pkgrel=0
+pkgdesc="Perl extension for simple generation of unique id's"
+url="http://search.cpan.org/dist/Data-Uniqid/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MW/MWX/$_realname.tar.gz"
+
+_builddir="$srcdir"/$_realname
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="6bab3b5da09fedfdf60ce2629a7367db  Data-Uniqid-0.12.tar.gz"
+sha256sums="b6919ba49b9fe98bfdf3e8accae7b9b7f78dc9e71ebbd0b7fef7a45d99324ccb  Data-Uniqid-0.12.tar.gz"
+sha512sums="fd12aae4a810fda88dd0f8296e73760d8d62357cb5ebc675a4b2804d9eee93ebfa01942c7057ad9092e80331504f2a38a3c8a576ccb630de10f5e563752ed6e3  Data-Uniqid-0.12.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Dec 12 2015 - 12:25:19 GMT